API Reference
Media Images
Upload and serve product and menu images.
9 endpoints· Auth: JWT or API Key
post
/api/v1/media/images JWT API KeyCreate images
Request body
application/json
{
"file": "string"
}| file string (binary) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/media/images" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"file": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/media/images/{assetId} JWT API KeyGet assetId
Path parameters
| assetIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/media/images/{assetId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/media/images/{assetId} JWT API KeyDelete assetId
Path parameters
| assetIdrequired string (uuid) | — |
Query parameters
| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/media/images/{assetId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/media/images/refresh-urls JWT API KeyCreate refresh-urls
Request body
application/json
{
"assetIds": [
"00000000-0000-0000-0000-000000000000"
],
"variant": "string"
}| assetIds string (uuid)[] | — |
| variant string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/media/images/refresh-urls" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"assetIds": [
"00000000-0000-0000-0000-000000000000"
],
"variant": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/media/owners/{ownerType}/{ownerId}/images JWT API KeyGet images
Path parameters
| ownerTyperequired string | — |
| ownerIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/media/owners/{ownerType}/{ownerId}/images" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/media/owners/{ownerType}/{ownerId}/images/{slot} JWT API KeyUpdate slot
Path parameters
| ownerTyperequired string | — |
| ownerIdrequired string (uuid) | — |
| slotrequired string | — |
Request body
application/json
{
"assetId": "00000000-0000-0000-0000-000000000000"
}| assetId string (uuid) | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/media/owners/{ownerType}/{ownerId}/images/{slot}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"assetId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/media/owners/{ownerType}/{ownerId}/images/{slot} JWT API KeyDelete slot
Path parameters
| ownerTyperequired string | — |
| ownerIdrequired string (uuid) | — |
| slotrequired string | — |
Query parameters
| assetId string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/media/owners/{ownerType}/{ownerId}/images/{slot}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
put
/api/v1/media/owners/{ownerType}/{ownerId}/images/gallery/order JWT API KeyUpdate order
Path parameters
| ownerTyperequired string | — |
| ownerIdrequired string (uuid) | — |
Request body
application/json
{
"assetIds": [
"00000000-0000-0000-0000-000000000000"
]
}| assetIds string (uuid)[] | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/media/owners/{ownerType}/{ownerId}/images/gallery/order" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"assetIds": [
"00000000-0000-0000-0000-000000000000"
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/media/owners/images/batch JWT API KeyCreate batch
Request body
application/json
{
"ownerType": "string",
"ownerIds": [
"00000000-0000-0000-0000-000000000000"
],
"variant": "string"
}| ownerType string | — |
| ownerIds string (uuid)[] | — |
| variant string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/media/owners/images/batch" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"ownerType": "string",
"ownerIds": [
"00000000-0000-0000-0000-000000000000"
],
"variant": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu